package com.ampiere.web.struts.form;

import org.apache.struts.action.ActionForm;
import java.io.Serializable;
import java.util.ArrayList;

/**
 * Order Invoice Shipment Matching.
 * @author Almas:SiqinBilige
 */
public class MatchingForm extends ActionForm implements Serializable {

    /** Match From. */
    private int matchFrom;

    /** Match To. */
    private int matchTo;

    /** Match Mode. */
    private int matchMode;

    /** Business Partner ID. */
    private int businessPartnerId;

    /** Business Partner Name. */
    private String businessPartnerName;

    /** Product ID. */
    private int productId;

    /** Product Name. */
    private String productName;

    /** Date From. */
    private String dateFrom;

    /** Date To. */
    private String dateTo;

    /** Same Business Partner. */
    private String sameBusinessPartner;

    /** Same Product. */
    private String sameProduct;

    /** Same Quantity. */
    private String sameQuantity;

    /** To Be Matched Count. */
    private String toBeMatchedCount;

    /** Matching Count. */
    private String matchingCount;

    /** Match Difference Count. */
    private String matchDifferenceCount;

    /** Match From Current ID. */
    private int matchFromCurrentId;

    /** Match From Current Line. */
    private int matchFromCurrentLine;

    /** Match From Current Business Partner ID. */
    private int matchFromCurrentBusinessPartnerId;

    /** Match From Current Product ID. */
    private int matchFromCurrentProductId;

    /** Match From Current Quantity. */
    private double matchFromCurrentQuantity;

    /** Match From Current Matched Quantity. */
    private double matchFromCurrentMatchedQuantity;

    /** Match To ID List. */
    private String [] matchToIdList;

    /** Changed Column. */
    private String changedColumn;

    /** Main Window Title. */
    private String mainWindowTitle;

    /** Page Title. */
    private String pageTitle;

    /** Match From Label. */
    private String matchFromLabel;

    /** Match From List. */
    private ArrayList matchFromList;

    /** Match To Label. */
    private String matchToLabel;

    /** Match To List. */
    private ArrayList matchToList;

    /** Match Mode Label. */
    private String matchModeLabel;

    /** Match Mode List. */
    private ArrayList matchModeList;

    /** Business Partner Label. */
    private String businessPartnerLabel;

    /** Product Label. */
    private String productLabel;

    /** Date From Label. */
    private String dateFromLabel;

    /** Date To Label. */
    private String dateToLabel;

    /** Search Label. */
    private String searchLabel;

    /** Same Business Partner Label. */
    private String sameBusinessPartnerLabel;

    /** Same Product Label. */
    private String sameProductLabel;

    /** Same Quantity Label. */
    private String sameQuantityLabel;

    /** Match From Text. */
    private String matchFromText;

    /** Match From Data List. */
    private ArrayList matchFromDataList;

    /** Match To Text. */
    private String matchToText;

    /** Match To Data List. */
    private ArrayList matchToDataList;

    /** Process Label. */
    private String processLabel;

    /** To Be Matched Label. */
    private String toBeMatchedLabel;

    /** MatchingLabel. */
    private String matchingLabel;

    /** Match Difference. */
    private String matchDifferenceLabel;

    /** Process Button Disabled. */
    private String processButtonDisabled;

    /** Result Information. */
    private String resultInfo;


    /**
     * Get Match From.
     * @return Match From
     */
    public final int getMatchFrom() {
        return this.matchFrom;
    }

    /**
     * Set Match From.
     * @param matchFromP Match From
     */
    public final void setMatchFrom(final int matchFromP) {
        this.matchFrom = matchFromP;
    }

    /**
     * Get Match To.
     * @return Match To
     */
    public final int getMatchTo() {
        return this.matchTo;
    }

    /**
     * Set Match To.
     * @param matchToP Match To
     */
    public final void setMatchTo(final int matchToP) {
        this.matchTo = matchToP;
    }

    /**
     * Get Match Mode.
     * @return Match Mode
     */
    public final int getMatchMode() {
        return this.matchMode;
    }

    /**
     * Set Match Mode.
     * @param matchModeP Match Mode
     */
    public final void setMatchMode(final int matchModeP) {
        this.matchMode = matchModeP;
    }

    /**
     * Get Business Partner ID.
     * @return Business Partner ID
     */
    public final int getBusinessPartnerId() {
        return this.businessPartnerId;
    }

    /**
     * Set Business Partner ID.
     * @param businessPartnerIdP Business Partner ID
     */
    public final void setBusinessPartnerId(final int businessPartnerIdP) {
        this.businessPartnerId = businessPartnerIdP;
    }

    /**
     * Get Business Partner Name.
     * @return Business Partner Name
     */
    public final String getBusinessPartnerName() {
        return this.businessPartnerName;
    }

    /**
     * Set Business Partner Name.
     * @param businessPartnerNameP Business Partner Name
     */
    public final void setBusinessPartnerName(final String businessPartnerNameP) {
        this.businessPartnerName = businessPartnerNameP;
    }

    /**
     * Get Product ID.
     * @return Product ID
     */
    public final int getProductId() {
        return this.productId;
    }

    /**
     * Set Product ID.
     * @param productIdP Product ID
     */
    public final void setProductId(final int productIdP) {
        this.productId = productIdP;
    }

    /**
     * Get Product Name.
     * @return Product Name
     */
    public final String getProductName() {
        return this.productName;
    }

    /**
     * Set Product Name.
     * @param productNameP Product Name
     */
    public final void setProductName(final String productNameP) {
        this.productName = productNameP;
    }

    /**
     * Get Date From.
     * @return Date From
     */
    public final String getDateFrom() {
        return this.dateFrom;
    }

    /**
     * Set Date From.
     * @param dateFromP Date From
     */
    public final void setDateFrom(final String dateFromP) {
        this.dateFrom = dateFromP;
    }

    /**
     * Get Date To.
     * @return Date To
     */
    public final String getDateTo() {
        return this.dateTo;
    }

    /**
     * Set Date To.
     * @param dateToP Date To
     */
    public final void setDateTo(final String dateToP) {
        this.dateTo = dateToP;
    }

    /**
     * Get Same Business Partner.
     * @return Same Business Partner
     */
    public final String getSameBusinessPartner() {
        return this.sameBusinessPartner;
    }

    /**
     * Set Same Business Partner.
     * @param sameBusinessPartnerP Same Business Partner
     */
    public final void setSameBusinessPartner(final String sameBusinessPartnerP) {
        this.sameBusinessPartner = sameBusinessPartnerP;
    }

    /**
     * Get Same Product.
     * @return Same Product
     */
    public final String getSameProduct() {
        return this.sameProduct;
    }

    /**
     * Set Same Product.
     * @param sameProductP Same Product
     */
    public final void setSameProduct(final String sameProductP) {
        this.sameProduct = sameProductP;
    }

    /**
     * Get Same Quantity.
     * @return Same Quantity
     */
    public final String getSameQuantity() {
        return this.sameQuantity;
    }

    /**
     * Set Same Quantity.
     * @param sameQuantityP Same Quantity
     */
    public final void setSameQuantity(final String sameQuantityP) {
        this.sameQuantity = sameQuantityP;
    }

    /**
     * Get To Be Matched Count.
     * @return To Be Matched Count
     */
    public final String getToBeMatchedCount() {
        return this.toBeMatchedCount;
    }

    /**
     * Set To Be Matched Count.
     * @param toBeMatchedCountP To Be Matched Count
     */
    public final void setToBeMatchedCount(final String toBeMatchedCountP) {
        this.toBeMatchedCount = toBeMatchedCountP;
    }

    /**
     * Get Matching Count.
     * @return Matching Count
     */
    public final String getMatchingCount() {
        return this.matchingCount;
    }

    /**
     * Set Matching Count.
     * @param matchingCountP Matching Count
     */
    public final void setMatchingCount(final String matchingCountP) {
        this.matchingCount = matchingCountP;
    }

    /**
     * Get Match Difference Count.
     * @return Match Difference Count
     */
    public final String getMatchDifferenceCount() {
        return this.matchDifferenceCount;
    }

    /**
     * Set Match Difference Count.
     * @param matchDifferenceCountP Match Difference Count
     */
    public final void setMatchDifferenceCount(final String matchDifferenceCountP) {
        this.matchDifferenceCount = matchDifferenceCountP;
    }

    /**
     * Get Match From Current ID.
     * @return Match From Current ID
     */
    public final int getMatchFromCurrentId() {
        return this.matchFromCurrentId;
    }

    /**
     * Set Match From Current ID.
     * @param matchFromCurrentIdP Match From Current ID
     */
    public final void setMatchFromCurrentId(final int matchFromCurrentIdP) {
        this.matchFromCurrentId = matchFromCurrentIdP;
    }

    /**
     * Get Match From Current Line.
     * @return Match From Current Line
     */
    public final int getMatchFromCurrentLine() {
        return this.matchFromCurrentLine;
    }

    /**
     * Set Match From Current Line.
     * @param matchFromCurrentLineP Match From Current Line
     */
    public final void setMatchFromCurrentLine(final int matchFromCurrentLineP) {
        this.matchFromCurrentLine = matchFromCurrentLineP;
    }

    /**
     * Get Match From Current Business Partner ID.
     * @return Match From Current Business Partner ID
     */
    public final int getMatchFromCurrentBusinessPartnerId() {
        return this.matchFromCurrentBusinessPartnerId;
    }

    /**
     * Set Match From Current Business Partner ID.
     * @param matchFromCurrentBusinessPartnerIdP Match From Current Business Partner ID
     */
    public final void setMatchFromCurrentBusinessPartnerId(final int matchFromCurrentBusinessPartnerIdP) {
        this.matchFromCurrentBusinessPartnerId = matchFromCurrentBusinessPartnerIdP;
    }

    /**
     * Get Match From Current Product ID.
     * @return Match From Current Product ID
     */
    public final int getMatchFromCurrentProductId() {
        return this.matchFromCurrentProductId;
    }

    /**
     * Set Match From Current Product ID.
     * @param matchFromCurrentProductIdP Match From Current Product ID
     */
    public final void setMatchFromCurrentProductId(final int matchFromCurrentProductIdP) {
        this.matchFromCurrentProductId = matchFromCurrentProductIdP;
    }

    /**
     * Get Match From Current Quantity.
     * @return Match From Current Quantity
     */
    public final double getMatchFromCurrentQuantity() {
        return this.matchFromCurrentQuantity;
    }

    /**
     * Set Match From Current Quantity.
     * @param matchFromCurrentQuantityP Match From Current Quantity
     */
    public final void setMatchFromCurrentQuantity(final double matchFromCurrentQuantityP) {
        this.matchFromCurrentQuantity = matchFromCurrentQuantityP;
    }

    /**
     * Get Match From Current Matched Quantity.
     * @return Match From Current Matched Quantity
     */
    public final double getMatchFromCurrentMatchedQuantity() {
        return this.matchFromCurrentMatchedQuantity;
    }

    /**
     * Set Match From Current Matched Quantity.
     * @param matchFromCurrentMatchedQuantityP Match From Current Matched Quantity
     */
    public final void setMatchFromCurrentMatchedQuantity(final double matchFromCurrentMatchedQuantityP) {
        this.matchFromCurrentMatchedQuantity = matchFromCurrentMatchedQuantityP;
    }

    /**
     * Get Match To ID List.
     * @return Match To ID List
     */
    public final String [] getMatchToIdList() {
        return this.matchToIdList;
    }

    /**
     * Set Match To ID List.
     * @param matchToIdListP Match To ID List
     */
    public final void setMatchToIdList(final String [] matchToIdListP) {
        this.matchToIdList = matchToIdListP;
    }

    /**
     * Get Changed Column.
     * @return Changed Column
     */
    public final String getChangedColumn() {
        return this.changedColumn;
    }

    /**
     * Set Changed Column.
     * @param changedColumnP Changed Column
     */
    public final void setChangedColumn(final String changedColumnP) {
        this.changedColumn = changedColumnP;
    }

    /**
     * Get Main Window Title.
     * @return Main Window Title
     */
    public final String getMainWindowTitle() {
        return this.mainWindowTitle;
    }

    /**
     * Set Main Window Title.
     * @param mainWindowTitleP Main Window Title
     */
    public final void setMainWindowTitle(final String mainWindowTitleP) {
        this.mainWindowTitle = mainWindowTitleP;
    }

    /**
     * Get Page Title.
     * @return Page Title
     */
    public final String getPageTitle() {
        return this.pageTitle;
    }

    /**
     * Set Page Title.
     * @param pageTitleP Page Title
     */
    public final void setPageTitle(final String pageTitleP) {
        this.pageTitle = pageTitleP;
    }

    /**
     * Get Match From Label.
     * @return Match From Label
     */
    public final String getMatchFromLabel() {
        return this.matchFromLabel;
    }

    /**
     * Set Match From Label.
     * @param matchFromLabelP Match From Label
     */
    public final void setMatchFromLabel(final String matchFromLabelP) {
        this.matchFromLabel = matchFromLabelP;
    }

    /**
     * Get Match From List.
     * @return Match From List
     */
    public final ArrayList getMatchFromList() {
        return this.matchFromList;
    }

    /**
     * Set Match From List.
     * @param matchFromListP Match From List
     */
    public final void setMatchFromList(final ArrayList matchFromListP) {
        this.matchFromList = matchFromListP;
    }

    /**
     * Get Match To Label.
     * @return Match To Label
     */
    public final String getMatchToLabel() {
        return this.matchToLabel;
    }

    /**
     * Set Match To Label.
     * @param matchToLabelP Match To Label
     */
    public final void setMatchToLabel(final String matchToLabelP) {
        this.matchToLabel = matchToLabelP;
    }

    /**
     * Get Match To List.
     * @return Match To List
     */
    public final ArrayList getMatchToList() {
        return this.matchToList;
    }

    /**
     * Set Match To List.
     * @param matchToListP Match To List
     */
    public final void setMatchToList(final ArrayList matchToListP) {
        this.matchToList = matchToListP;
    }

    /**
     * Get Match Mode Label.
     * @return Match Mode Label
     */
    public final String getMatchModeLabel() {
        return this.matchModeLabel;
    }

    /**
     * Set Match Mode Label.
     * @param matchModeLabelP Match Mode Label
     */
    public final void setMatchModeLabel(final String matchModeLabelP) {
        this.matchModeLabel = matchModeLabelP;
    }

    /**
     * Get Match Mode List.
     * @return Match Mode List
     */
    public final ArrayList getMatchModeList() {
        return this.matchModeList;
    }

    /**
     * Set Match Mode List.
     * @param matchModeListP Match Mode List
     */
    public final void setMatchModeList(final ArrayList matchModeListP) {
        this.matchModeList = matchModeListP;
    }

    /**
     * Get Business Partner Label.
     * @return Business Partner Label
     */
    public final String getBusinessPartnerLabel() {
        return this.businessPartnerLabel;
    }

    /**
     * Set Business Partner Label.
     * @param businessPartnerLabelP Business Partner Label
     */
    public final void setBusinessPartnerLabel(final String businessPartnerLabelP) {
        this.businessPartnerLabel = businessPartnerLabelP;
    }

    /**
     * Get Product Label.
     * @return Product Label
     */
    public final String getProductLabel() {
        return this.productLabel;
    }

    /**
     * Set Product Label.
     * @param productLabelP Product Label
     */
    public final void setProductLabel(final String productLabelP) {
        this.productLabel = productLabelP;
    }

    /**
     * Get Date From Label.
     * @return Date From Label
     */
    public final String getDateFromLabel() {
        return this.dateFromLabel;
    }

    /**
     * Set Date From Label.
     * @param dateFromLabelP Date From Label
     */
    public final void setDateFromLabel(final String dateFromLabelP) {
        this.dateFromLabel = dateFromLabelP;
    }

    /**
     * Get Date To Label.
     * @return Date To Label
     */
    public final String getDateToLabel() {
        return this.dateToLabel;
    }

    /**
     * Set Date To Label.
     * @param dateToLabelP Date To Label
     */
    public final void setDateToLabel(final String dateToLabelP) {
        this.dateToLabel = dateToLabelP;
    }

    /**
     * Get Search Label.
     * @return Search Label
     */
    public final String getSearchLabel() {
        return this.searchLabel;
    }

    /**
     * Set Search Label.
     * @param searchLabelP Search Label
     */
    public final void setSearchLabel(final String searchLabelP) {
        this.searchLabel = searchLabelP;
    }

    /**
     * Get Same Business Partner Label.
     * @return Same Business Partner Label
     */
    public final String getSameBusinessPartnerLabel() {
        return this.sameBusinessPartnerLabel;
    }

    /**
     * Set Same Business Partner Label.
     * @param sameBusinessPartnerLabelP Same Business Partner Label
     */
    public final void setSameBusinessPartnerLabel(final String sameBusinessPartnerLabelP) {
        this.sameBusinessPartnerLabel = sameBusinessPartnerLabelP;
    }

    /**
     * Get Same Product Label.
     * @return Same Product Label
     */
    public final String getSameProductLabel() {
        return this.sameProductLabel;
    }

    /**
     * Set Same Product Label.
     * @param sameProductLabelP Same Product Label
     */
    public final void setSameProductLabel(final String sameProductLabelP) {
        this.sameProductLabel = sameProductLabelP;
    }

    /**
     * Get Same Quantity Label.
     * @return Same Quantity Label
     */
    public final String getSameQuantityLabel() {
        return this.sameQuantityLabel;
    }

    /**
     * Set Same Quantity Label.
     * @param sameQuantityLabelP Same Quantity Label
     */
    public final void setSameQuantityLabel(final String sameQuantityLabelP) {
        this.sameQuantityLabel = sameQuantityLabelP;
    }

    /**
     * Get Match From Text.
     * @return Match From Text
     */
    public final String getMatchFromText() {
        return this.matchFromText;
    }

    /**
     * Set Match From Text.
     * @param matchFromTextP Match From Text
     */
    public final void setMatchFromText(final String matchFromTextP) {
        this.matchFromText = matchFromTextP;
    }

    /**
     * Get Match From Data List.
     * @return Match From Data List
     */
    public final ArrayList getMatchFromDataList() {
        return this.matchFromDataList;
    }

    /**
     * Set Match From Data List.
     * @param matchFromDataListP Match From Data List
     */
    public final void setMatchFromDataList(final ArrayList matchFromDataListP) {
        this.matchFromDataList = matchFromDataListP;
    }

    /**
     * Get Match To Text.
     * @return Match To Text
     */
    public final String getMatchToText() {
        return this.matchToText;
    }

    /**
     * Set Match To Text.
     * @param matchToTextP Match To Text
     */
    public final void setMatchToText(final String matchToTextP) {
        this.matchToText = matchToTextP;
    }

    /**
     * Get Match To Data List.
     * @return Match To Data List
     */
    public final ArrayList getMatchToDataList() {
        return this.matchToDataList;
    }

    /**
     * Set Match To Data List.
     * @param matchToDataListP Match To Data List
     */
    public final void setMatchToDataList(final ArrayList matchToDataListP) {
        this.matchToDataList = matchToDataListP;
    }

    /**
     * Get Process Label.
     * @return Process Label
     */
    public final String getProcessLabel() {
        return this.processLabel;
    }

    /**
     * Set Process Label.
     * @param processLabelP Process Label
     */
    public final void setProcessLabel(final String processLabelP) {
        this.processLabel = processLabelP;
    }

    /**
     * Get To Be Matched Label.
     * @return To Be Matched Label
     */
    public final String getToBeMatchedLabel() {
        return this.toBeMatchedLabel;
    }

    /**
     * Set To Be Matched Label.
     * @param toBeMatchedLabelP To Be Matched Label
     */
    public final void setToBeMatchedLabel(final String toBeMatchedLabelP) {
        this.toBeMatchedLabel = toBeMatchedLabelP;
    }

    /**
     * Get MatchingLabel.
     * @return MatchingLabel
     */
    public final String getMatchingLabel() {
        return this.matchingLabel;
    }

    /**
     * Set MatchingLabel.
     * @param matchingLabelP MatchingLabel
     */
    public final void setMatchingLabel(final String matchingLabelP) {
        this.matchingLabel = matchingLabelP;
    }

    /**
     * Get Match Difference.
     * @return Match Difference
     */
    public final String getMatchDifferenceLabel() {
        return this.matchDifferenceLabel;
    }

    /**
     * Set Match Difference.
     * @param matchDifferenceLabelP Match Difference
     */
    public final void setMatchDifferenceLabel(final String matchDifferenceLabelP) {
        this.matchDifferenceLabel = matchDifferenceLabelP;
    }

    /**
     * Get Process Button Disabled.
     * @return Process Button Disabled
     */
    public final String getProcessButtonDisabled() {
        return this.processButtonDisabled;
    }

    /**
     * Set Process Button Disabled.
     * @param processButtonDisabledP Process Button Disabled
     */
    public final void setProcessButtonDisabled(final String processButtonDisabledP) {
        this.processButtonDisabled = processButtonDisabledP;
    }

    /**
     * Get Result Information.
     * @return Result Information
     */
    public final String getResultInfo() {
        return this.resultInfo;
    }

    /**
     * Set Result Information.
     * @param resultInfoP Result Information
     */
    public final void setResultInfo(final String resultInfoP) {
        this.resultInfo = resultInfoP;
    }


}
